webpackJsonp([2],{

/***/ 106:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NamesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__gopro_gopro__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var NamesPage = (function () {
    function NamesPage(navCtrl, plt, translate, globalpar) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.plt = plt;
        this.translate = translate;
        this.globalpar = globalpar;
        this.search_text = '';
        this.namelist_this = [];
        this.ids = [];
        this.plt.ready().then(function () {
            _this.load_data(null);
        });
    }
    NamesPage_1 = NamesPage;
    NamesPage.prototype.share_all = function (event) {
        if (!this.globalpar.is_paid) {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__gopro_gopro__["a" /* GoproPage */]);
            return;
        }
        var msg = 'Names from iName. Category: ' + this.globalpar.nametype_to_show + '. Type: ' + this.globalpar.origin_selected;
        msg += '\n';
        msg += '\n';
        var is_start = true;
        for (var i = 0; i < this.globalpar.namelist.length; i++) {
            if (!this.globalpar.is_empty(this.globalpar.origin_selected) && this.globalpar.origin_selected != 'ALL') {
                var org = this.globalpar.namelist[i].origin.split(',');
                if (!this.globalpar.is_exist_in_array(org, this.globalpar.origin_selected))
                    continue;
            }
            if (!this.globalpar.is_empty(this.search_text)) {
                if (this.globalpar.is_contains(this.globalpar.namelist[i].name, this.search_text)) {
                    if (!is_start)
                        msg += ', ';
                    is_start = false;
                    msg += this.globalpar.namelist[i].name;
                    if (this.globalpar.namelist[i].meaning != '') {
                        msg += '(' + this.globalpar.namelist[i].meaning + ')';
                    }
                }
                else if (!this.globalpar.is_empty(this.globalpar.namelist[i].meaning)) {
                    if (this.globalpar.is_contains(this.globalpar.namelist[i].meaning, this.search_text)) {
                        if (!is_start)
                            msg += ', ';
                        is_start = false;
                        msg += this.globalpar.namelist[i].name;
                        if (this.globalpar.namelist[i].meaning != '') {
                            msg += '(' + this.globalpar.namelist[i].meaning + ')';
                        }
                    }
                }
            }
            else {
                if (!is_start)
                    msg += ', ';
                is_start = false;
                msg += this.globalpar.namelist[i].name;
                if (this.globalpar.namelist[i].meaning != '') {
                    msg += '(' + this.globalpar.namelist[i].meaning + ')';
                }
            }
        }
        this.globalpar.share(null, msg);
    };
    NamesPage.prototype.sharethis = function (event, item) {
        if (!this.globalpar.is_paid) {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__gopro_gopro__["a" /* GoproPage */]);
            return;
        }
        var msg = item.name;
        if (item.meaning != '') {
            msg += '(' + item.meaning + ')';
        }
        this.globalpar.share(null, msg);
    };
    NamesPage.prototype.onClear = function (event) {
        try {
            this.search_text = '';
            this.namelist_this = [];
            this.ids = [];
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    NamesPage.prototype.searchByKeyword = function (event) {
        try {
            var val = event.target.value;
            this.search_text = val;
            this.namelist_this = [];
            this.ids = [];
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    NamesPage.prototype.onorgclick = function (orgName) {
        this.globalpar.origin_selected = orgName;
        this.navCtrl.push(NamesPage_1);
    };
    NamesPage.prototype.doRefresh = function (refresher) {
        try {
            // this.search_text = '';
            this.namelist_this = [];
            this.ids = [];
            this.load_data(refresher);
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    NamesPage.prototype.load_data = function (refresher) {
        try {
            var count = 0;
            for (var i = 0; i < this.globalpar.namelist.length; i++) {
                if (!this.globalpar.is_empty(this.globalpar.origin_selected) && this.globalpar.origin_selected != 'ALL') {
                    var org = this.globalpar.namelist[i].origin.split(',');
                    if (!this.globalpar.is_exist_in_array(org, this.globalpar.origin_selected))
                        continue;
                }
                if (this.globalpar.is_exist_in_array(this.ids, this.globalpar.namelist[i].id))
                    continue;
                if (!this.globalpar.is_empty(this.search_text)) {
                    if (this.globalpar.is_contains(this.globalpar.namelist[i].name, this.search_text)) {
                        this.namelist_this.push(this.globalpar.namelist[i]);
                        this.ids.push(this.globalpar.namelist[i].id);
                        count++;
                    }
                    else if (!this.globalpar.is_empty(this.globalpar.namelist[i].meaning)) {
                        if (this.globalpar.is_contains(this.globalpar.namelist[i].meaning, this.search_text)) {
                            this.namelist_this.push(this.globalpar.namelist[i]);
                            this.ids.push(this.globalpar.namelist[i].id);
                            count++;
                        }
                    }
                }
                else {
                    this.namelist_this.push(this.globalpar.namelist[i]);
                    this.ids.push(this.globalpar.namelist[i].id);
                    count++;
                }
                if (count > 10) {
                    break;
                }
            }
            if (refresher)
                refresher.complete();
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    NamesPage.prototype.ionViewDidLoad = function () {
    };
    NamesPage = NamesPage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-names',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/names/names.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <h1 padding class="custom-header-title">{{globalpar.nametype_to_show}}</h1>\n    <p padding style="padding-top:0px !important;padding-bottom:0px !important" class="custom-header-title-desc">{{globalpar.nametype_to_show}} / {{globalpar.origin_selected}}</p>\n    <ion-buttons end>\n      <button ion-button icon-only (click)=\'share_all()\'>\n        <ion-icon name="share"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n  <ion-searchbar  class="custom-home-menu-divider-bg" [showCancelButton]="true" (input)="searchByKeyword($event)" (ionClear)="onClear($event)">\n  </ion-searchbar>\n</ion-header>\n\n<ion-content class=\'custom-content_bg\'>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" style="color:white !important" pullingText="Pull to refresh" refreshingSpinner="circles"\n      refreshingText="Refreshing...">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list>\n    <ion-item text-wrap *ngFor="let item of namelist_this" class="custom-home-menu-bg">\n      <h2> {{item.name}}</h2>\n      <p> {{item.meaning}}</p>\n\n      <ion-buttons item-right>\n        <button ion-button small icon-only (click)=\'sharethis(event,item)\'>\n          <ion-icon name="share"></ion-icon>\n        </button>\n        <button *ngIf="item.isfav" ion-button small icon-only (click)=\'globalpar.bookmark(event,item,false)\'>\n          <ion-icon name="star" style="color:yellow"></ion-icon>\n        </button>\n        <button *ngIf="!item.isfav" ion-button small icon-only (click)=\'globalpar.bookmark(event,item,true)\'>\n          <ion-icon name="star" style="color:gray"></ion-icon>\n        </button>\n      </ion-buttons>\n    </ion-item>\n  </ion-list>\n  <ion-infinite-scroll (ionInfinite)="load_data($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/names/names.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_3__app_app_global__["a" /* GlobalPars */]])
    ], NamesPage);
    return NamesPage;
    var NamesPage_1;
}());

//# sourceMappingURL=names.js.map

/***/ }),

/***/ 107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__gopro_gopro__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_global__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the SettingsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SettingsPage = (function () {
    function SettingsPage(navCtrl, globalpar, alertCtrl) {
        this.navCtrl = navCtrl;
        this.globalpar = globalpar;
        this.alertCtrl = alertCtrl;
    }
    SettingsPage.prototype.show_go_pro = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__gopro_gopro__["a" /* GoproPage */]);
    };
    SettingsPage.prototype.closeModal = function () {
        this.navCtrl.pop();
        this.globalpar.show_insta();
    };
    SettingsPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SettingsPage');
    };
    SettingsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-settings',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/settings/settings.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <h1 padding class="custom-header-title" start>{{ \'settings\' | translate }}</h1>\n        <ion-buttons end>\n            <button ion-button clear (click)="closeModal()">{{ \'close\' | translate }}</button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n<ion-content class=\'custom-content_bg\'>\n\n    <ion-card text-center class="custom-gradient" style="height:20vh" *ngIf="globalpar.has_inapp" (click)="show_go_pro()">\n        <button ion-button outline class="custom-button-on-card">{{ \'go_pro_title\' | translate }}</button>\n    </ion-card>\n    <ion-list> \n\n        <ion-item-divider color="light" class="custom-home-menu-divider-bg">About Us</ion-item-divider>\n        <ion-item (click)="globalpar.about_do($event,\'contact_us\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="mail" item-start></ion-icon>\n            Contact Us\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'more_apps\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="appstore" item-start></ion-icon>\n            Our More Apps\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'tell_a_friend\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="share" item-start></ion-icon>\n            Tell a friend\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'rate\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="star" item-start></ion-icon>\n            Rate us\n            <span style="color:yellow"> &#9733;&#9733;&#9733;&#9733;&#9733;</span> on the Store\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'web\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="cart" item-start></ion-icon>\n            Shop with us!\n        </ion-item>\n        <ion-item-divider color="light" class="custom-home-menu-divider-bg">Social</ion-item-divider>\n        <ion-item (click)="globalpar.about_do($event,\'web\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="globe" item-start></ion-icon>\n            Visit our website\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'facebook\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="logo-facebook" item-start></ion-icon>\n            Facebook\n        </ion-item>\n\n        <ion-item (click)="globalpar.about_do($event,\'twitter\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="logo-twitter" item-start></ion-icon>\n            Twitter\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'linkedin\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="logo-linkedin" item-start></ion-icon>\n            LinkedIn\n        </ion-item>\n        <ion-item (click)="globalpar.about_do($event,\'youtube\')" class="custom-home-menu-bg">\n            <ion-icon color="secondary" name="logo-youtube" item-start></ion-icon>\n            YouTube\n        </ion-item>\n    </ion-list>\n</ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/settings/settings.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_3__app_app_global__["a" /* GlobalPars */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */]])
    ], SettingsPage);
    return SettingsPage;
}());

//# sourceMappingURL=settings.js.map

/***/ }),

/***/ 119:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 119;

/***/ }),

/***/ 162:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/gopro/gopro.module": [
		301,
		1
	],
	"../pages/settings/settings.module": [
		302,
		0
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 162;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__home_home__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__settings_settings__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__fav_fav__ = __webpack_require__(218);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__gopro_gopro__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var TabsPage = (function () {
    function TabsPage(navCtrl, modalCtrl, globalpar) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.globalpar = globalpar;
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_2__home_home__["a" /* HomePage */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_5__fav_fav__["a" /* FavPage */];
        this.tab3Root = __WEBPACK_IMPORTED_MODULE_2__home_home__["a" /* HomePage */];
    }
    TabsPage.prototype.show_go_pro = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__gopro_gopro__["a" /* GoproPage */]);
    };
    TabsPage.prototype.testfn = function () {
        var profileModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__settings_settings__["a" /* SettingsPage */]);
        profileModal.present();
    };
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/tabs/tabs.html"*/'<ion-tabs color="primary">\n  <ion-tab [root]="tab1Root" tabTitle="Home" tabIcon="home"></ion-tab>\n  <ion-tab [root]="tab2Root" tabTitle="Favorite" tabIcon="star"></ion-tab> \n  <ion-tab (ionSelect)="show_go_pro()"  tabTitle="GoPro" tabIcon="checkmark-circle"></ion-tab>\n  <ion-tab (ionSelect)="globalpar.about_do(null,\'tell_a_friend\')"  tabTitle="Share App" tabIcon="share"></ion-tab>\n  <ion-tab  (ionSelect)="testfn()" tabTitle="{{ \'settings\' | translate }}" tabIcon="settings"></ion-tab>\n</ion-tabs>\n \n'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/tabs/tabs.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* ModalController */], __WEBPACK_IMPORTED_MODULE_4__app_app_global__["a" /* GlobalPars */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__orig_orig__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__names_names__ = __webpack_require__(106);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var HomePage = (function () {
    function HomePage(navCtrl, httploc, plt, modalCtrl, alertCtrl, translate, globalpar) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.httploc = httploc;
        this.plt = plt;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.translate = translate;
        this.globalpar = globalpar;
        this.selected_file = '';
        translate.setDefaultLang('en');
        this.plt.ready().then(function () {
            _this.globalpar.show_ad();
        });
    }
    HomePage.prototype.ontypeclick = function (typename, nametype_to_show) {
        var _this = this;
        this.globalpar.nametype_selected = typename;
        this.globalpar.nametype_to_show = nametype_to_show;
        try {
            var url = "assets/data/" + this.globalpar.nametype_selected + ".json";
            this.httploc.get(url).subscribe(function (data) {
                _this.globalpar.namelist = data;
                if (_this.globalpar.nametype_selected != 'greek') {
                    _this.globalpar.originlist = [];
                    for (var i = 0; i < _this.globalpar.namelist.length; i++) {
                        _this.globalpar.namelist[i].isfav = _this.globalpar.is_fav(_this.globalpar.namelist[i]);
                        _this.globalpar.namelist[i].id = (i + 1).toString();
                        var org = _this.globalpar.namelist[i].origin.split(',');
                        for (var j = 0; j < org.length; j++) {
                            if (_this.globalpar.is_empty(org[j]))
                                continue;
                            if (_this.globalpar.is_exist_in_array(_this.globalpar.originlist, org[j]))
                                continue;
                            _this.globalpar.originlist.push(org[j]);
                        }
                    }
                    _this.globalpar.originlist.sort();
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__orig_orig__["a" /* OrigPage */]);
                }
                else {
                    _this.globalpar.origin_selected = 'ALL';
                    for (var i = 0; i < _this.globalpar.namelist.length; i++) {
                        _this.globalpar.namelist[i].isfav = _this.globalpar.is_fav(_this.globalpar.namelist[i]);
                        _this.globalpar.namelist[i].id = (i + 1).toString();
                    }
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__names_names__["a" /* NamesPage */]);
                }
            }, function (err) {
                _this.globalpar.jso(err);
                _this.globalpar.alert_toast('failed');
            });
        }
        catch (e) {
            this.globalpar.log(e);
        }
    };
    HomePage.prototype.ionViewDidLoad = function () {
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/home/home.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <h1 *ngIf="!globalpar.is_paid" padding class="custom-header-title">{{ \'app_name\' | translate }}</h1>\n    <h1 *ngIf="globalpar.is_paid" padding class="custom-header-title">{{ \'app_name_pro\' | translate }}</h1>\n    <p padding style="padding-top:0px !important;padding-bottom:0px !important" class="custom-header-title-desc">{{ \'titile_desc\' | translate }}</p>\n    \n  </ion-navbar>\n</ion-header>\n\n<ion-content class=\'custom-content_bg\'>\n  <ion-list>\n    <ion-item-divider class="custom-home-menu-divider-bg">GET NAME FOR:</ion-item-divider>\n  </ion-list> \n  <ion-grid no-padding class="custom-home-menu-card">\n    <ion-row center>\n      <ion-col col-4 fixed>\n        <ion-card class="custom-home-menu-card" color="secondary">\n          <ion-card-content text-center (tap)="ontypeclick(\'babygirl\',\'BABY GIRL\')" style="font-size: 3vw !important">\n            <ion-icon name="appname-babygirl" item-left large style="font-size: 12vw !important"></ion-icon>\n            <br>BABY GIRL\n          </ion-card-content>\n        </ion-card>\n      </ion-col>\n      <ion-col col-4 fixed>\n        <ion-card class="custom-home-menu-card" color="secondary">\n          <ion-card-content text-center (tap)="ontypeclick(\'babyboy\',\'BABY BOY\')" style="font-size: 3vw !important">\n            <ion-icon name="appname-babyboy" item-left large style="font-size: 12vw !important"></ion-icon>\n            <br>BABY BOY\n          </ion-card-content>\n        </ion-card>\n      </ion-col>\n      <ion-col col-4 fixed>\n        <ion-card class="custom-home-menu-card" color="secondary">\n          <ion-card-content text-center (tap)="ontypeclick(\'business\',\'BUSINESS\')" style="font-size: 3vw !important">\n            <ion-icon name="appname-business" item-left large style="font-size: 12vw !important"></ion-icon>\n            <br>BUSINESS\n          </ion-card-content>\n        </ion-card>\n      </ion-col>\n\n       \n      <ion-col col-4 fixed>\n        <ion-card class="custom-home-menu-card" color="secondary">\n          <ion-card-content text-center (tap)="ontypeclick(\'god\',\'GOD\')" style="font-size: 3vw !important">\n            <ion-icon name="appname-god" item-left large style="font-size: 12vw !important"></ion-icon>\n            <br>GOD\n          </ion-card-content>\n        </ion-card>\n      </ion-col>\n      <ion-col col-4 fixed>\n        <ion-card class="custom-home-menu-card" color="secondary">\n          <ion-card-content text-center (tap)="ontypeclick(\'greek\',\'GREEK\')" style="font-size: 3vw !important">\n            <ion-icon name="appname-greek" item-left large style="font-size: 12vw !important"></ion-icon>\n            <br>GREEK\n          </ion-card-content>\n        </ion-card>\n      </ion-col>\n      \n    </ion-row>\n  </ion-grid>\n</ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_3__app_app_global__["a" /* GlobalPars */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 217:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrigPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__names_names__ = __webpack_require__(106);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var OrigPage = (function () {
    function OrigPage(navCtrl, plt, translate, globalpar) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.plt = plt;
        this.translate = translate;
        this.globalpar = globalpar;
        this.search_text = '';
        this.originlist_this = [];
        this.plt.ready().then(function () {
            _this.load_data(null);
        });
    }
    OrigPage.prototype.onClear = function (event) {
        try {
            this.search_text = '';
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    OrigPage.prototype.onCancel = function (event) {
        try {
            // this.search_text = '';
            // this.load_data();
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    OrigPage.prototype.searchByKeyword = function (event) {
        try {
            var val = event.target.value;
            this.search_text = val;
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    OrigPage.prototype.onorgclick = function (orgName) {
        this.globalpar.origin_selected = orgName;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__names_names__["a" /* NamesPage */]);
    };
    OrigPage.prototype.doRefresh = function (refresher) {
        try {
            // this.search_text = '';
            this.load_data(refresher);
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    OrigPage.prototype.load_data = function (refresher) {
        try {
            this.originlist_this = [];
            if (this.search_text == '') {
                this.originlist_this = this.globalpar.originlist;
                if (refresher)
                    refresher.complete();
                return;
            }
            for (var i = 0; i < this.globalpar.originlist.length; i++) {
                if (this.globalpar.is_contains(this.globalpar.originlist[i], this.search_text))
                    this.originlist_this.push(this.globalpar.originlist[i]);
            }
            if (refresher)
                refresher.complete();
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    OrigPage.prototype.ionViewDidLoad = function () {
    };
    OrigPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-orig',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/orig/orig.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <h1 padding class="custom-header-title">{{globalpar.nametype_to_show}}</h1>\n    <p padding style="padding-top:0px !important;padding-bottom:0px !important" class="custom-header-title-desc">Select the origin or type</p>\n\n  </ion-navbar>\n  <ion-searchbar class="custom-home-menu-divider-bg" [showCancelButton]="true" (input)="searchByKeyword($event)" (ionClear)="onClear($event)"\n    (ionCancel)="onCancel($event)">\n  </ion-searchbar>\n</ion-header>\n\n<ion-content class=\'custom-content_bg\'>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="Pull to refresh" refreshingSpinner="circles"\n      refreshingText="Refreshing...">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list>\n    <ion-item (click)="onorgclick(\'ALL\')" *ngIf="search_text==\'\'" class="custom-home-menu-bg">\n      ALL\n    </ion-item>\n    <ion-item *ngFor="let item of originlist_this" (click)="onorgclick(item)" class="custom-home-menu-bg">\n      {{item}}\n    </ion-item>\n  </ion-list>\n</ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/orig/orig.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_3__app_app_global__["a" /* GlobalPars */]])
    ], OrigPage);
    return OrigPage;
}());

//# sourceMappingURL=orig.js.map

/***/ }),

/***/ 218:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FavPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__gopro_gopro__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var FavPage = (function () {
    function FavPage(navCtrl, plt, translate, globalpar) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.plt = plt;
        this.translate = translate;
        this.globalpar = globalpar;
        this.search_text = '';
        this.namelist_this = [];
        this.ids = [];
        this.plt.ready().then(function () {
            _this.load_data(null);
        });
    }
    FavPage.prototype.share_all = function (event) {
        if (!this.globalpar.is_paid) {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__gopro_gopro__["a" /* GoproPage */]);
            return;
        }
        var msg = 'Names from iName:';
        msg += '\n';
        msg += '\n';
        var is_start = true;
        var favs = this.globalpar.get_data_obj_real('favs');
        if (this.globalpar.is_empty(favs))
            favs = [];
        for (var i = 0; i < favs.length; i++) {
            if (!this.globalpar.is_empty(this.search_text)) {
                if (this.globalpar.is_contains(favs[i].name, this.search_text)) {
                    if (!is_start)
                        msg += ', ';
                    is_start = false;
                    msg += favs[i].name;
                    if (favs[i].meaning != '') {
                        msg += '(' + favs[i].meaning + ')';
                    }
                }
                else if (!this.globalpar.is_empty(favs[i].meaning)) {
                    if (this.globalpar.is_contains(favs[i].meaning, this.search_text)) {
                        if (!is_start)
                            msg += ', ';
                        is_start = false;
                        msg += favs[i].name;
                        if (favs[i].meaning != '') {
                            msg += '(' + favs[i].meaning + ')';
                        }
                    }
                }
            }
            else {
                if (!is_start)
                    msg += ', ';
                is_start = false;
                msg += favs[i].name;
                if (favs[i].meaning != '') {
                    msg += '(' + favs[i].meaning + ')';
                }
            }
        }
        this.globalpar.share(null, msg);
    };
    FavPage.prototype.sharethis = function (event, item) {
        if (!this.globalpar.is_paid) {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__gopro_gopro__["a" /* GoproPage */]);
            return;
        }
        var msg = item.name;
        if (item.meaning != '') {
            msg += '(' + item.meaning + ')';
        }
        this.globalpar.share(null, msg);
    };
    FavPage.prototype.bookmark = function (event, item, is_to_bookmark) {
        try {
            if (is_to_bookmark)
                return;
            this.globalpar.bookmark(event, item, is_to_bookmark);
            for (var i = 0; i < this.namelist_this.length; i++) {
                if (this.namelist_this[i].id == item.id) {
                    this.namelist_this.splice(i, 1);
                    break;
                }
            }
            for (var i = 0; i < this.ids.length; i++) {
                if (this.ids[i].id == item.id) {
                    this.ids.splice(i, 1);
                    break;
                }
            }
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    FavPage.prototype.onClear = function (event) {
        try {
            this.search_text = '';
            this.namelist_this = [];
            this.ids = [];
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    FavPage.prototype.searchByKeyword = function (event) {
        try {
            var val = event.target.value;
            this.search_text = val;
            this.namelist_this = [];
            this.ids = [];
            this.load_data(null);
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    FavPage.prototype.doRefresh = function (refresher) {
        try {
            this.namelist_this = [];
            this.ids = [];
            this.load_data(refresher);
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    FavPage.prototype.load_data = function (refresher) {
        try {
            var count = 0;
            var favs = this.globalpar.get_data_obj_real('favs');
            if (this.globalpar.is_empty(favs))
                favs = [];
            for (var i = 0; i < favs.length; i++) {
                favs[i].isfav = true;
                if (!this.globalpar.is_empty(this.globalpar.origin_selected) && this.globalpar.origin_selected != 'ALL') {
                    var org = favs[i].origin.split(',');
                    if (!this.globalpar.is_exist_in_array(org, this.globalpar.origin_selected))
                        continue;
                }
                if (this.globalpar.is_exist_in_array(this.ids, favs[i].id))
                    continue;
                if (!this.globalpar.is_empty(this.search_text)) {
                    if (this.globalpar.is_contains(favs[i].name, this.search_text)) {
                        this.namelist_this.push(favs[i]);
                        this.ids.push(favs[i].id);
                        count++;
                    }
                    else if (!this.globalpar.is_empty(favs[i].meaning)) {
                        if (this.globalpar.is_contains(favs[i].meaning, this.search_text)) {
                            this.namelist_this.push(favs[i]);
                            this.ids.push(favs[i].id);
                            count++;
                        }
                    }
                }
                else {
                    this.namelist_this.push(favs[i]);
                    this.ids.push(favs[i].id);
                    count++;
                }
                if (count > 10) {
                    break;
                }
            }
            if (refresher)
                refresher.complete();
        }
        catch (e) {
            this.globalpar.jso(e);
        }
    };
    FavPage.prototype.ionViewDidLoad = function () {
    };
    FavPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-fav',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/fav/fav.html"*/'<ion-header>\n    <ion-navbar color="primary">\n      <h1 padding class="custom-header-title">Favorites</h1>\n      <p padding style="padding-top:0px !important;padding-bottom:0px !important" class="custom-header-title-desc">Your favorite names</p>\n      <ion-buttons end>\n        <button ion-button icon-only (click)=\'share_all()\'>\n          <ion-icon name="share"></ion-icon>\n        </button>\n      </ion-buttons>\n    </ion-navbar>\n    <ion-searchbar  class="custom-home-menu-divider-bg" [showCancelButton]="true" (input)="searchByKeyword($event)" (ionClear)="onClear($event)">\n    </ion-searchbar>\n  </ion-header>\n  \n  <ion-content class=\'custom-content_bg\'>\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n      <ion-refresher-content pullingIcon="arrow-dropdown" style="color:white !important" pullingText="Pull to refresh" refreshingSpinner="circles"\n        refreshingText="Refreshing...">\n      </ion-refresher-content>\n    </ion-refresher>\n    <ion-list>\n      <ion-item text-wrap *ngFor="let item of namelist_this" class="custom-home-menu-bg">\n        <h2> {{item.name}}</h2>\n        <p> {{item.meaning}}</p>\n  \n        <ion-buttons item-right>\n          <button ion-button small icon-only (click)=\'sharethis(event,item)\'>\n            <ion-icon name="share"></ion-icon>\n          </button>\n          <button *ngIf="item.isfav" ion-button small icon-only (click)=\'bookmark(event,item,false)\'>\n            <ion-icon name="star" style="color:yellow"></ion-icon>\n          </button>\n          <button *ngIf="!item.isfav" ion-button small icon-only (click)=\'bookmark(event,item,true)\'>\n            <ion-icon name="star" style="color:gray"></ion-icon>\n          </button>\n        </ion-buttons>\n      </ion-item>\n    </ion-list>\n    <ion-infinite-scroll (ionInfinite)="load_data($event)">\n      <ion-infinite-scroll-content></ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n  </ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/fav/fav.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_3__app_app_global__["a" /* GlobalPars */]])
    ], FavPage);
    return FavPage;
}());

//# sourceMappingURL=fav.js.map

/***/ }),

/***/ 219:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(239);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 22:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobalPars; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_browser__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_admob_free__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_local_notifications__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_http__ = __webpack_require__(172);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












var GlobalPars = (function () {
    function GlobalPars(alertCtrl, modalCtrl, http, localNotifications, admobFree, loadingCtrl, plt, socialSharing, translate, toastCtrl, iab) {
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.http = http;
        this.localNotifications = localNotifications;
        this.admobFree = admobFree;
        this.loadingCtrl = loadingCtrl;
        this.plt = plt;
        this.socialSharing = socialSharing;
        this.translate = translate;
        this.toastCtrl = toastCtrl;
        this.iab = iab;
        this.is_live = true;
        this.has_inapp = true;
        this.is_paid = false;
        this.ios_id = 'id1340234406';
        this.android_id = 'bomosi.apps.iname';
        this.inapp_prod_id = 'bomosi.apps.inameall';
        this.admob_id_ios_banner = 'cca-app-pub-3590861833208218/2493054177';
        this.admob_id_ios_interstitial = 'ca-app-pub-3590861833208218/7464155735';
        this.admob_id_android_banner = 'ca-app-pub-3590861833208218/2100148412';
        this.admob_id_android_interstitial = 'ca-app-pub-3590861833208218/7655727428';
        //---
        this.nametype_selected = '';
        this.nametype_to_show = '';
        this.origin_selected = '';
        this.namelist = [];
        this.originlist = [];
        //--
        this.more_apps_ios = 'https://itunes.apple.com/us/developer/vinod-m/id825514195';
        this.more_apps_anroid = 'https://play.google.com/store/apps/developer?id=Quotes';
        this.data_keys_db = [];
        this.files = [];
        this.data_values_db = [];
        this.browser = null;
        this.app_email = 'bomosiuser@gmail.com';
        this.bomosi_web = 'https://www.bomosi.com';
        this.app_url = "http://www.bomosi.com/app.html?i=" + this.ios_id + '&a=' + this.android_id;
        this.fb_url = "https://www.facebook.com/bomosiapps";
        this.twitter_url = "https://twitter.com/bomosi2k";
        this.linked_url = "https://www.linkedin.com/company/bomosi";
        this.youtube_url = "https://www.youtube.com/channel/UCRmHMU4Tx58Ebik-SKkKT2g";
        this.loading = null;
    }
    //----
    GlobalPars.prototype.init_app = function () {
        try {
            this.is_paid = false;
            if (this.get_data_obj_real('is_paid'))
                this.is_paid = true;
            this.set_noti_alert();
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.reminder = function (show_rem) {
        try {
            if (show_rem) {
                var date = new Date();
                date.setHours(8);
                date.setMinutes(0);
                date.setMilliseconds(0);
                this.localNotifications.schedule({
                    id: 100,
                    text: "Check your today's Horoscope?!",
                    every: "day",
                    at: date
                });
            }
            else {
                this.localNotifications.clear(100);
            }
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.get_date_in_ddmmyyyy = function () {
        try {
            var today = new Date();
            var dd = today.getDate();
            var mm = today.getMonth() + 1; //January is 0!
            var yyyy = today.getFullYear();
            if (dd < 10) {
                dd = '0' + dd;
            }
            if (mm < 10) {
                mm = '0' + mm;
            }
            var todaystr = dd + '/' + mm + '/' + yyyy;
            return todaystr;
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.set_noti_alert = function () {
        try {
            return;
            /*
            this.localNotifications.schedule({
              id: 1,
              text: 'Check who unfriended/blocked you in facebook?!',
              every: "week"
            });
            */
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.show_insta = function () {
        try {
            if (!this.admobFree)
                return;
            if (this.is_paid) {
                try {
                }
                catch (e) {
                }
                return;
            }
            var id1 = "";
            if (this.plt.is('ios'))
                id1 = this.admob_id_ios_interstitial;
            else if (this.plt.is('android'))
                id1 = this.admob_id_android_interstitial;
            var interstitialConfig = {
                id: id1,
                isTesting: false,
                autoShow: true
            };
            this.admobFree.interstitial.config(interstitialConfig);
            this.admobFree.interstitial.prepare();
        }
        catch (e) {
            this.jso(e);
        }
    };
    GlobalPars.prototype.show_ad = function () {
        var _this = this;
        try {
            if (!this.admobFree)
                return;
            if (this.is_paid) {
                try {
                    this.admobFree.banner.remove();
                }
                catch (e) {
                }
                return;
            }
            var id1 = "";
            if (this.plt.is('ios'))
                id1 = this.admob_id_ios_banner;
            else if (this.plt.is('android'))
                id1 = this.admob_id_android_banner;
            var bannerConfig = {
                id: id1,
                isTesting: false,
                autoShow: true
            };
            this.admobFree.banner.config(bannerConfig);
            this.admobFree.banner.prepare()
                .then(function () {
                // banner Ad is ready
                // if we set autoShow to false, then we will need to call the show method here
            })
                .catch(function (e) {
                _this.jso(e);
            });
        }
        catch (e) {
            this.jso(e);
        }
    };
    GlobalPars.prototype.get_timestamp = function () {
        try {
            var date = new Date();
            var year = date.getFullYear();
            var month = date.getMonth() + 1; // "+ 1" becouse the 1st month is 0
            var day = date.getDate();
            var hour = date.getHours();
            var minutes = date.getMinutes();
            var secconds = date.getSeconds();
            var seedatetime = year + '_' + month + '_' + day + '_' + hour + '_' + minutes + '_' + secconds;
            return seedatetime;
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.show_loading_with_key = function (msg_key) {
        var _this = this;
        try {
            this.hide_loading();
            this.translate.get(msg_key).subscribe(function (value) {
                _this.loading = _this.loadingCtrl.create({
                    content: value
                });
                _this.loading.present();
            });
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.show_loading = function (msg) {
        try {
            this.hide_loading();
            this.loading = this.loadingCtrl.create({
                content: msg
            });
            this.loading.present();
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.hide_loading = function () {
        try {
            if (this.loading == null)
                return;
            this.loading.dismiss();
            this.loading = null;
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.about_do = function (event, flag) {
        var _this = this;
        try {
            switch (flag) {
                case "contact_us":
                    {
                        this.translate.get("app_name").subscribe(function (value) {
                            _this.socialSharing.shareViaEmail('', 'Email from ' + value, [_this.app_email]).then(function () {
                                // Success!
                            }).catch(function () {
                                _this.alert_toast('Failed! Please send as email to ' + _this.app_email);
                            });
                        });
                        break;
                    }
                case "more_apps":
                    {
                        if (this.plt.is('ios'))
                            this.open_browser(this.more_apps_ios);
                        else if (this.plt.is('android'))
                            this.open_browser(this.more_apps_anroid);
                        break;
                    }
                case "tell_a_friend":
                    {
                        this.translate.get("app_name").subscribe(function (value) {
                            var msg = "Download the App " + value + ": " + _this.app_url;
                            _this.share(event, msg);
                        });
                        break;
                    }
                case "rate":
                    {
                        this.open_browser(this.app_url);
                        break;
                    }
                case "web":
                    {
                        this.open_browser(this.bomosi_web);
                        break;
                    }
                case "facebook":
                    {
                        this.open_browser(this.fb_url);
                        break;
                    }
                case "twitter":
                    {
                        this.open_browser(this.twitter_url);
                        break;
                    }
                case "linkedin":
                    {
                        this.open_browser(this.linked_url);
                        break;
                    }
                case "youtube":
                    {
                        this.open_browser(this.youtube_url);
                        break;
                    }
                case "profile":
                    {
                        this.open_browser(this.youtube_url);
                        break;
                    }
            }
        }
        catch (e) { }
    };
    GlobalPars.prototype.share = function (event, msg) {
        try {
            if (event) {
                if (this.plt.is('ios')) {
                    var targetRect = event.target.getBoundingClientRect(), targetBounds = targetRect.left + ',' + targetRect.top + ',' + targetRect.width + ',' + targetRect.height;
                    this.socialSharing.setIPadPopupCoordinates(targetBounds);
                }
            }
            this.socialSharing.share(msg);
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.open_browser = function (url) {
        try {
            if (this.browser != null) {
                this.browser.close();
                this.browser = null;
            }
            this.browser = this.iab.create(url);
            console.log(url);
            //  this.browser.addEventListener('loaderror', (event) => {
            // });
            // this.browser.addEventListener('loadstart', (event) => {
            //});
        }
        catch (e) {
            this.browser = null;
            this.log(e);
        }
    };
    GlobalPars.prototype.alert_toast = function (msg_key) {
        var _this = this;
        this.translate.get(msg_key).subscribe(function (value) {
            var toast = _this.toastCtrl.create({
                message: value,
                duration: 3000,
                position: 'bottom'
            });
            toast.present();
        });
    };
    GlobalPars.prototype.clear_db = function () {
        this.data_keys_db = [];
        this.data_values_db = [];
    };
    GlobalPars.prototype.save_db = function (key, data) {
        try {
            for (var i = 0; i < this.data_keys_db.length; i++) {
                if (this.data_keys_db[i] == key) {
                    this.data_values_db[i] = data;
                    return true;
                }
            }
            this.data_keys_db.push(key);
            this.data_values_db.push(data);
            return true;
        }
        catch (e) {
            this.log(e);
            return false;
        }
    };
    GlobalPars.prototype.get_db = function (key) {
        try {
            for (var i = 0; i < this.data_keys_db.length; i++) {
                if (this.data_keys_db[i] == key) {
                    {
                        var res = this.data_values_db[i];
                        if (this.is_empty(res))
                            res = "";
                        return res;
                    }
                }
            }
        }
        catch (e) {
            this.log(e);
        }
        return "";
    };
    GlobalPars.prototype.jso = function (msg) {
        try {
            this.log(JSON.stringify(msg));
        }
        catch (exp) {
        }
    };
    GlobalPars.prototype.log = function (msg) {
        try {
            if (!this.is_live)
                alert(msg);
            //console.log(msg);
        }
        catch (exp) {
            console.log('LOG Exception:' + JSON.stringify(exp));
        }
    };
    GlobalPars.prototype.alert = function (msg) {
        try {
            this.alert_main(msg, 'Alert', 'OK');
        }
        catch (exp) {
        }
    };
    GlobalPars.prototype.alert_main = function (msg, title, buttons) {
        try {
            var alert1 = this.alertCtrl.create({
                title: title,
                subTitle: msg,
                buttons: [buttons]
            });
            alert1.present();
        }
        catch (exp) {
        }
    };
    GlobalPars.prototype.bookmark = function (event, item, is_to_bookmark) {
        var favs = this.get_data_obj_real('favs');
        if (this.is_empty(favs))
            favs = [];
        var thiskey = this.get_item_key(item);
        if (is_to_bookmark) {
            if (!this.is_fav(item)) {
                item.key = thiskey;
                favs.push(item);
            }
        }
        else {
            for (var i = 0; i < favs.length; i++) {
                if (favs[i].key == thiskey) {
                    favs.splice(i, 1);
                    break;
                }
            }
        }
        this.set_data_obj_real('favs', favs);
        item.isfav = is_to_bookmark;
    };
    GlobalPars.prototype.is_fav = function (item) {
        var favs = this.get_data_obj_real('favs');
        if (this.is_empty(favs))
            favs = [];
        var thiskey = this.get_item_key(item);
        for (var i = 0; i < favs.length; i++) {
            if (favs[i].key == thiskey)
                return true;
        }
        return false;
    };
    GlobalPars.prototype.get_item_key = function (item) {
        return item.name + item.meaning + item.nametype + item.origin + item.extra;
    };
    GlobalPars.prototype.is_contains = function (str, val) {
        var str1 = str.toLowerCase();
        var val1 = val.toLowerCase();
        if (str1.indexOf(val1) > -1)
            return true;
        else
            return false;
    };
    GlobalPars.prototype.is_exist_in_array = function (ar, val) {
        for (var i = 0; i < ar.length; i++) {
            if (ar[i].toLowerCase() == val.toLowerCase())
                return true;
        }
        return false;
        // return arr.includes(val);
    };
    GlobalPars.prototype.is_empty = function (data) {
        if (data == null) {
            return true;
        }
        if (typeof data == 'undefined') {
            return true;
        }
        if (data == '') {
            return true;
        }
        if (data.toString().trim() === '') {
            return true;
        }
        if (data.toString().trim().length === 0) {
            return true;
        }
        if (data.toString().trim().length === 1) {
            if (data.toString().charCodeAt(0) == 65528) {
                return true;
            }
        }
        return false;
    };
    GlobalPars.prototype.set_data_real = function (key, data) {
        try {
            if (this.is_empty(data))
                data = '';
            var data_enc = data.toString();
            data_enc = data.toString();
            window.localStorage.setItem(key, data.toString());
        }
        catch (e) {
            this.log(e);
        }
    };
    GlobalPars.prototype.get_data_real = function (key) {
        var data = window.localStorage.getItem(key);
        if (this.is_empty(data))
            data = "";
        //	var data_dec = decrypt(data);
        var data_dec = data;
        return data_dec;
    };
    GlobalPars.prototype.set_data = function (key, data) {
        if (this.is_empty(data))
            data = '';
        this.save_db(key, data.toString());
    };
    GlobalPars.prototype.get_data = function (key) {
        var data = this.get_db(key);
        return data;
    };
    GlobalPars.prototype.set_obj = function (key, obj) {
        this.set_data_obj(key, obj);
    };
    GlobalPars.prototype.get_obj = function (key) {
        return this.get_data_obj(key);
    };
    GlobalPars.prototype.set_data_obj = function (key, obj) {
        var obj_str = "";
        if (!this.is_empty(obj))
            obj_str = JSON.stringify(obj);
        this.set_data(key, obj_str);
    };
    GlobalPars.prototype.get_data_obj = function (key) {
        var result;
        var obj_str = this.get_data(key);
        if (!this.is_empty(obj_str))
            result = JSON.parse(obj_str);
        else
            result = "";
        return result;
    };
    GlobalPars.prototype.set_data_obj_real = function (key, obj) {
        var obj_str = "";
        if (!this.is_empty(obj))
            obj_str = JSON.stringify(obj);
        this.set_data_real(key, obj_str);
    };
    GlobalPars.prototype.get_data_obj_real = function (key) {
        var result;
        var obj_str = this.get_data_real(key);
        if (!this.is_empty(obj_str))
            result = JSON.parse(obj_str);
        else
            result = "";
        return result;
    };
    GlobalPars = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* ModalController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_http__["a" /* HTTP */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_local_notifications__["a" /* LocalNotifications */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_admob_free__["a" /* AdMobFree */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__["a" /* SocialSharing */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_browser__["a" /* InAppBrowser */]])
    ], GlobalPars);
    return GlobalPars;
}());

//# sourceMappingURL=app.global.js.map

/***/ }),

/***/ 239:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export HttpLoaderFactory */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(33);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(294);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_home_home__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_common_http__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ngx_translate_http_loader__ = __webpack_require__(299);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__app_global__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_settings_settings__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_gopro_gopro__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_fav_fav__ = __webpack_require__(218);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_orig_orig__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_names_names__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__ionic_native_in_app_purchase__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__ionic_native_in_app_browser__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ionic_native_social_sharing__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__ionic_native_http__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__ionic_native_admob_free__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__ionic_native_local_notifications__ = __webpack_require__(171);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};























function HttpLoaderFactory(http) {
    return new __WEBPACK_IMPORTED_MODULE_10__ngx_translate_http_loader__["a" /* TranslateHttpLoader */](http, "./assets/i18n/", ".json");
}
var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_settings_settings__["a" /* SettingsPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_gopro_gopro__["a" /* GoproPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_fav_fav__["a" /* FavPage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_orig_orig__["a" /* OrigPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_names_names__["a" /* NamesPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_8__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_9__ngx_translate_core__["b" /* TranslateModule */].forRoot({
                    loader: {
                        provide: __WEBPACK_IMPORTED_MODULE_9__ngx_translate_core__["a" /* TranslateLoader */],
                        useFactory: HttpLoaderFactory,
                        deps: [__WEBPACK_IMPORTED_MODULE_8__angular_common_http__["a" /* HttpClient */]]
                    }
                }),
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/gopro/gopro.module#GoproPageModule', name: 'GoproPage', segment: 'gopro', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/settings/settings.module#SettingsPageModule', name: 'SettingsPage', segment: 'settings', priority: 'low', defaultHistory: [] }
                    ]
                })
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_settings_settings__["a" /* SettingsPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_gopro_gopro__["a" /* GoproPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_fav_fav__["a" /* FavPage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_orig_orig__["a" /* OrigPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_names_names__["a" /* NamesPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_11__app_global__["a" /* GlobalPars */],
                __WEBPACK_IMPORTED_MODULE_17__ionic_native_in_app_purchase__["a" /* InAppPurchase */],
                __WEBPACK_IMPORTED_MODULE_18__ionic_native_in_app_browser__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_19__ionic_native_social_sharing__["a" /* SocialSharing */],
                __WEBPACK_IMPORTED_MODULE_21__ionic_native_admob_free__["a" /* AdMobFree */],
                __WEBPACK_IMPORTED_MODULE_22__ionic_native_local_notifications__["a" /* LocalNotifications */],
                __WEBPACK_IMPORTED_MODULE_20__ionic_native_http__["a" /* HTTP */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 294:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_global__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var MyApp = (function () {
    function MyApp(platform, modalCtrl, statusBar, splashScreen, globalpar) {
        var _this = this;
        this.platform = platform;
        this.modalCtrl = modalCtrl;
        this.globalpar = globalpar;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */];
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            _this.globalpar.init_app();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/app/app.html"*/'<ion-nav  [root]="rootPage" ></ion-nav>\n'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_5__app_global__["a" /* GlobalPars */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 35:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GoproPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_purchase__ = __webpack_require__(165);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_global__ = __webpack_require__(22);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the GoproPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var GoproPage = (function () {
    function GoproPage(navCtrl, translate, chRef, iap, globalpar) {
        this.navCtrl = navCtrl;
        this.translate = translate;
        this.chRef = chRef;
        this.iap = iap;
        this.globalpar = globalpar;
        this.features = null;
        this.price = null;
    }
    GoproPage.prototype.restore_now = function () {
        var _this = this;
        try {
            this.iap
                .restorePurchases()
                .then(function (purchases) {
                if (!_this.globalpar.is_empty(purchases)) {
                    try {
                        var is_buy = false;
                        for (var i = 0; i < purchases.length; i++) {
                            var pid = purchases[i].productId;
                            if (pid == _this.globalpar.inapp_prod_id) {
                                _this.set_purchased();
                                is_buy = true;
                            }
                        }
                        if (!is_buy) {
                            _this.globalpar.alert_toast('iap_not_purchased');
                        }
                        else
                            _this.globalpar.alert_toast('Restored!');
                    }
                    catch (e) {
                        _this.globalpar.jso(e);
                        _this.globalpar.alert_toast(e.errorMessage);
                    }
                }
            })
                .catch(function (err) {
                _this.globalpar.jso(err);
                _this.globalpar.alert_toast(err.errorMessage);
            });
        }
        catch (e) {
            this.globalpar.jso(e);
            this.globalpar.alert_toast("failed");
        }
    };
    GoproPage.prototype.buy_now = function () {
        var _this = this;
        try {
            this.iap
                .getProducts([this.globalpar.inapp_prod_id])
                .then(function (products) {
                for (var i = 0; i < products.length; i++) {
                    if (products[i].productId == _this.globalpar.inapp_prod_id) {
                        _this.iap
                            .buy(products[i].productId)
                            .then(function (data) {
                            if (!_this.globalpar.is_empty(data)) {
                                _this.set_purchased();
                            }
                        })
                            .catch(function (err) {
                            _this.globalpar.alert_toast(err.errorMessage);
                        });
                    }
                }
            })
                .catch(function (err) {
                _this.globalpar.alert_toast(err.errorMessage);
            });
        }
        catch (e) {
            this.globalpar.jso(e);
            this.globalpar.alert_toast('failed');
        }
    };
    GoproPage.prototype.set_purchased = function () {
        try {
            this.globalpar.set_data_obj_real('is_paid', true);
            this.globalpar.is_paid = true;
            window.location.reload();
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    GoproPage.prototype.loadfeatures = function () {
        var _this = this;
        try {
            this.features = null;
            this.translate.get('go_pro_features').subscribe(function (value) {
                if (value) {
                    if (value != "") {
                        _this.features = [];
                        _this.features = value.split(',');
                        _this.chRef.detectChanges();
                    }
                }
            });
        }
        catch (e) {
            this.globalpar.alert_toast('failed');
        }
    };
    GoproPage.prototype.ionViewDidLoad = function () {
        this.loadfeatures();
    };
    GoproPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-gopro',template:/*ion-inline-start:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/gopro/gopro.html"*/'<!--\n  Generated template for the GoproPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar class="custom-navbar-with-menu" color="primary">\n    <h1 padding class="custom-header-title-with-menu" start>{{ \'go_pro_title\' | translate }}</h1>\n  </ion-navbar>\n\n</ion-header>\n<ion-content class=\'custom-content_bg\'>\n  <ion-card *ngIf="features&&globalpar.has_inapp" class="custom-home-menu-bg">\n    <ion-card-content>\n      <h2 style="color:white !important"> {{ \'go_pro_desc\' | translate }}</h2>\n      <br>\n      <h2 style="color:white !important" *ngFor="let thisfeature of features">- {{thisfeature}}</h2>\n    </ion-card-content>\n\n    <ion-card-content *ngIf="globalpar.is_paid">\n      <h2 style="color:white !important" > {{ \'you_purchased\' | translate }}</h2>\n    </ion-card-content>\n    <ion-card-content>\n      <button ion-button block color="secondary" (click)="buy_now()">{{ \'purchase\' | translate }}</button>\n    </ion-card-content>\n\n    <ion-card-content>\n      <button ion-button block color="secondary" (click)="restore_now()">{{ \'restore_purchase\' | translate }}</button>\n    </ion-card-content>\n  </ion-card>\n</ion-content>'/*ion-inline-end:"/Users/vinod/Desktop/WORKS/Work/CORDOVA/IONIC/iname/src/pages/gopro/gopro.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */], __WEBPACK_IMPORTED_MODULE_0__angular_core__["j" /* ChangeDetectorRef */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_in_app_purchase__["a" /* InAppPurchase */], __WEBPACK_IMPORTED_MODULE_4__app_app_global__["a" /* GlobalPars */]])
    ], GoproPage);
    return GoproPage;
}());

//# sourceMappingURL=gopro.js.map

/***/ })

},[219]);
//# sourceMappingURL=main.js.map